# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonRepository.Mode

Packages that use CDOCommonRepository.Mode
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.

## Uses of CDOCommonRepository.Mode in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonRepository.Mode
Modifier and Type
Method
Description
`default CDOCommonRepository.Mode`
CDOCommonRepository.`getMode()`
Returns the mode of this repository.
`static CDOCommonRepository.Mode`
CDOCommonRepository.Mode.`parse(String name)`
`static CDOCommonRepository.Mode`
CDOCommonRepository.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.Mode[]`
CDOCommonRepository.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.